<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>9. Command Reference &mdash; Python 3.5.1 documentation</title>
    
    <link rel="stylesheet" href="../_static/pydoctheme.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '3.5.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/sidebar.js"></script>
    <link rel="search" type="application/opensearchdescription+xml"
          title="Search within Python 3.5.1 documentation"
          href="../_static/opensearch.xml"/>
    <link rel="author" title="About these documents" href="../about.html" />
    <link rel="copyright" title="Copyright" href="../copyright.html" />
    <link rel="top" title="Python 3.5.1 documentation" href="../contents.html" />
    <link rel="up" title="Distributing Python Modules (Legacy version)" href="index.html" />
    <link rel="next" title="10. API Reference" href="apiref.html" />
    <link rel="prev" title="8. Extending Distutils" href="extending.html" />
    <link rel="shortcut icon" type="image/png" href="../_static/py.png" />
    <script type="text/javascript" src="../_static/copybutton.js"></script>
    <script type="text/javascript" src="../_static/version_switch.js"></script>
    
 

  </head>
  <body role="document">  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="apiref.html" title="10. API Reference"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="extending.html" title="8. Extending Distutils"
             accesskey="P">previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" accesskey="U">Distributing Python Modules (Legacy version)</a> &raquo;</li> 
      </ul>
    </div>    

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="command-reference">
<span id="reference"></span><h1>9. Command Reference<a class="headerlink" href="#command-reference" title="Permalink to this headline">¶</a></h1>
<div class="section" id="installing-modules-the-install-command-family">
<span id="install-cmd"></span><h2>9.1. Installing modules: the <strong class="command">install</strong> command family<a class="headerlink" href="#installing-modules-the-install-command-family" title="Permalink to this headline">¶</a></h2>
<p>The install command ensures that the build commands have been run and then runs
the subcommands <strong class="command">install_lib</strong>, <strong class="command">install_data</strong> and
<strong class="command">install_scripts</strong>.</p>
<div class="section" id="install-data">
<span id="install-data-cmd"></span><h3>9.1.1. <strong class="command">install_data</strong><a class="headerlink" href="#install-data" title="Permalink to this headline">¶</a></h3>
<p>This command installs all data files provided with the distribution.</p>
</div>
<div class="section" id="install-scripts">
<span id="install-scripts-cmd"></span><h3>9.1.2. <strong class="command">install_scripts</strong><a class="headerlink" href="#install-scripts" title="Permalink to this headline">¶</a></h3>
<p>This command installs all (Python) scripts in the distribution.</p>
</div>
</div>
<div class="section" id="creating-a-source-distribution-the-sdist-command">
<span id="sdist-cmd"></span><h2>9.2. Creating a source distribution: the <strong class="command">sdist</strong> command<a class="headerlink" href="#creating-a-source-distribution-the-sdist-command" title="Permalink to this headline">¶</a></h2>
<p>The manifest template commands are:</p>
<table border="1" class="docutils">
<colgroup>
<col width="48%" />
<col width="52%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Command</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td><strong class="command">include pat1 pat2 ...</strong></td>
<td>include all files matching any of the listed
patterns</td>
</tr>
<tr class="row-odd"><td><strong class="command">exclude pat1 pat2 ...</strong></td>
<td>exclude all files matching any of the listed
patterns</td>
</tr>
<tr class="row-even"><td><strong class="command">recursive-include dir pat1 pat2
...</strong></td>
<td>include all files under <em>dir</em> matching any of
the listed patterns</td>
</tr>
<tr class="row-odd"><td><strong class="command">recursive-exclude dir pat1 pat2
...</strong></td>
<td>exclude all files under <em>dir</em> matching any of
the listed patterns</td>
</tr>
<tr class="row-even"><td><strong class="command">global-include pat1 pat2 ...</strong></td>
<td>include all files anywhere in the source tree
matching &#8212; &amp; any of the listed patterns</td>
</tr>
<tr class="row-odd"><td><strong class="command">global-exclude pat1 pat2 ...</strong></td>
<td>exclude all files anywhere in the source tree
matching &#8212; &amp; any of the listed patterns</td>
</tr>
<tr class="row-even"><td><strong class="command">prune dir</strong></td>
<td>exclude all files under <em>dir</em></td>
</tr>
<tr class="row-odd"><td><strong class="command">graft dir</strong></td>
<td>include all files under <em>dir</em></td>
</tr>
</tbody>
</table>
<p>The patterns here are Unix-style &#8220;glob&#8221; patterns: <code class="docutils literal"><span class="pre">*</span></code> matches any sequence of
regular filename characters, <code class="docutils literal"><span class="pre">?</span></code> matches any single regular filename
character, and <code class="docutils literal"><span class="pre">[range]</span></code> matches any of the characters in <em>range</em> (e.g.,
<code class="docutils literal"><span class="pre">a-z</span></code>, <code class="docutils literal"><span class="pre">a-zA-Z</span></code>, <code class="docutils literal"><span class="pre">a-f0-9_.</span></code>).  The definition of &#8220;regular filename
character&#8221; is platform-specific: on Unix it is anything except slash; on Windows
anything except backslash or colon.</p>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../contents.html">Table Of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">9. Command Reference</a><ul>
<li><a class="reference internal" href="#installing-modules-the-install-command-family">9.1. Installing modules: the <strong class="command">install</strong> command family</a><ul>
<li><a class="reference internal" href="#install-data">9.1.1. <strong class="command">install_data</strong></a></li>
<li><a class="reference internal" href="#install-scripts">9.1.2. <strong class="command">install_scripts</strong></a></li>
</ul>
</li>
<li><a class="reference internal" href="#creating-a-source-distribution-the-sdist-command">9.2. Creating a source distribution: the <strong class="command">sdist</strong> command</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="extending.html"
                        title="previous chapter">8. Extending Distutils</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="apiref.html"
                        title="next chapter">10. API Reference</a></p>
<h3>This Page</h3>
<ul class="this-page-menu">
  <li><a href="../bugs.html">Report a Bug</a></li>
  <li><a href="../_sources/distutils/commandref.txt"
         rel="nofollow">Show Source</a></li>
</ul>

<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="apiref.html" title="10. API Reference"
             >next</a> |</li>
        <li class="right" >
          <a href="extending.html" title="8. Extending Distutils"
             >previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" >Distributing Python Modules (Legacy version)</a> &raquo;</li> 
      </ul>
    </div>  
    <div class="footer">
    &copy; <a href="../copyright.html">Copyright</a> 1990-2016, Python Software Foundation.
    <br />
    The Python Software Foundation is a non-profit corporation.
    <a href="https://www.python.org/psf/donations/">Please donate.</a>
    <br />
    Last updated on Jan 08, 2016.
    <a href="../bugs.html">Found a bug</a>?
    <br />
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.3.3.
    </div>

  </body>
</html>